/***************************************************************************
 *
 * general.h - General definitions and declarations for SpaceDuel3D.
 *
 ***************************************************************************
 *
 * SpaceDuel3D, version 1.0.
 * Copyright (C) 1998 Gustav Taxen.
 * This is free software with ABSOLUTELY NO WARRANTY.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ***************************************************************************/

#ifndef GENERAL_H
#define GENERAL_H


/*
 * Return values for the "main" and "exit" functions.
 *
 */

#define SD_OK       0
#define SD_ERROR   -1


/*
 * Boolean values
 *
 */

#define SD_TRUE   1
#define SD_FALSE  0

/*
 * Some systems don't define M_PI in math.h
 *
 */

#ifndef M_PI
#define	M_PI		3.14159265358979323846
#endif

#endif /* GENERAL_H */
